Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class RoutingTableSources

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.params.RoutingTableSources

    public class RoutingTableSources

extends Object

Determines how missing routing information can be inferred from alternative data structures. Often, a missing routing data structure can be created several ways. For example, the type-to-group map may be constructed using the group-to-type map, a matrix of ranks, etc. However, some algorithms destroy or guess information, which can lead to incorrect results. If this element is given without any attribute, the default most common constructions are used: a missing matrix of ranks or incidence matrix is obtained by transposing the given complementary matrix. Other mappings can be given by setting attributes in this element.

Java class for RoutingTableSources complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RoutingTableSources">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="typeToGroupMap" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}TypeToGroupMapSource" />
           <attribute name="groupToTypeMap" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}GroupToTypeMapSource" />
           <attribute name="ranksTG" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}RanksTGSource" default="ranksGT" />
           <attribute name="ranksGT" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}RanksGTSource" default="ranksTG" />
           <attribute name="incidenceMatrixTG" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}IncidenceMatrixTGSource" default="incidenceMatrixGT" />
           <attribute name="incidenceMatrixGT" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}IncidenceMatrixGTSource" default="incidenceMatrixTG" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected GroupToTypeMapSource` | `groupToTypeMap`
`protected IncidenceMatrixGTSource` | `incidenceMatrixGT`
`protected IncidenceMatrixTGSource` | `incidenceMatrixTG`
`protected RanksGTSource` | `ranksGT`
`protected RanksTGSource` | `ranksTG`
`protected TypeToGroupMapSource` | `typeToGroupMap`

Constructor Summary
`RoutingTableSources()`

Method Summary
`GroupToTypeMapSource` | `getGroupToTypeMap()` Gets the value of the groupToTypeMap property.
`IncidenceMatrixGTSource` | `getIncidenceMatrixGT()` Gets the value of the incidenceMatrixGT property.
`IncidenceMatrixTGSource` | `getIncidenceMatrixTG()` Gets the value of the incidenceMatrixTG property.
`RanksGTSource` | `getRanksGT()` Gets the value of the ranksGT property.
`RanksTGSource` | `getRanksTG()` Gets the value of the ranksTG property.
`TypeToGroupMapSource` | `getTypeToGroupMap()` Gets the value of the typeToGroupMap property.
`boolean` | `isSetGroupToTypeMap()`
`boolean` | `isSetIncidenceMatrixGT()`
`boolean` | `isSetIncidenceMatrixTG()`
`boolean` | `isSetRanksGT()`
`boolean` | `isSetRanksTG()`
`boolean` | `isSetTypeToGroupMap()`
`void` | `setGroupToTypeMap(GroupToTypeMapSource value)` Sets the value of the groupToTypeMap property.
`void` | `setIncidenceMatrixGT(IncidenceMatrixGTSource value)` Sets the value of the incidenceMatrixGT property.
`void` | `setIncidenceMatrixTG(IncidenceMatrixTGSource value)` Sets the value of the incidenceMatrixTG property.
`void` | `setRanksGT(RanksGTSource value)` Sets the value of the ranksGT property.
`void` | `setRanksTG(RanksTGSource value)` Sets the value of the ranksTG property.
`void` | `setTypeToGroupMap(TypeToGroupMapSource value)` Sets the value of the typeToGroupMap property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### typeToGroupMap

    protected TypeToGroupMapSource typeToGroupMap

### groupToTypeMap

    protected GroupToTypeMapSource groupToTypeMap

### ranksTG

    protected RanksTGSource ranksTG

### ranksGT

    protected RanksGTSource ranksGT

### incidenceMatrixTG

    protected IncidenceMatrixTGSource incidenceMatrixTG

### incidenceMatrixGT

    protected IncidenceMatrixGTSource incidenceMatrixGT

Constructor Detail

### RoutingTableSources

    public RoutingTableSources()

Method Detail

### getTypeToGroupMap

    public TypeToGroupMapSource getTypeToGroupMap()

  Gets the value of the typeToGroupMap property.

  Returns:
    possible object is `TypeToGroupMapSource`

### setTypeToGroupMap

    public void setTypeToGroupMap(TypeToGroupMapSource value)

  Sets the value of the typeToGroupMap property.

  Parameters:
    `value` - allowed object is `TypeToGroupMapSource`

### isSetTypeToGroupMap

    public boolean isSetTypeToGroupMap()

### getGroupToTypeMap

    public GroupToTypeMapSource getGroupToTypeMap()

  Gets the value of the groupToTypeMap property.

  Returns:
    possible object is `GroupToTypeMapSource`

### setGroupToTypeMap

    public void setGroupToTypeMap(GroupToTypeMapSource value)

  Sets the value of the groupToTypeMap property.

  Parameters:
    `value` - allowed object is `GroupToTypeMapSource`

### isSetGroupToTypeMap

    public boolean isSetGroupToTypeMap()

### getRanksTG

    public RanksTGSource getRanksTG()

  Gets the value of the ranksTG property.

  Returns:
    possible object is `RanksTGSource`

### setRanksTG

    public void setRanksTG(RanksTGSource value)

  Sets the value of the ranksTG property.

  Parameters:
    `value` - allowed object is `RanksTGSource`

### isSetRanksTG

    public boolean isSetRanksTG()

### getRanksGT

    public RanksGTSource getRanksGT()

  Gets the value of the ranksGT property.

  Returns:
    possible object is `RanksGTSource`

### setRanksGT

    public void setRanksGT(RanksGTSource value)

  Sets the value of the ranksGT property.

  Parameters:
    `value` - allowed object is `RanksGTSource`

### isSetRanksGT

    public boolean isSetRanksGT()

### getIncidenceMatrixTG

    public IncidenceMatrixTGSource getIncidenceMatrixTG()

  Gets the value of the incidenceMatrixTG property.

  Returns:
    possible object is `IncidenceMatrixTGSource`

### setIncidenceMatrixTG

    public void setIncidenceMatrixTG(IncidenceMatrixTGSource value)

  Sets the value of the incidenceMatrixTG property.

  Parameters:
    `value` - allowed object is `IncidenceMatrixTGSource`

### isSetIncidenceMatrixTG

    public boolean isSetIncidenceMatrixTG()

### getIncidenceMatrixGT

    public IncidenceMatrixGTSource getIncidenceMatrixGT()

  Gets the value of the incidenceMatrixGT property.

  Returns:
    possible object is `IncidenceMatrixGTSource`

### setIncidenceMatrixGT

    public void setIncidenceMatrixGT(IncidenceMatrixGTSource value)

  Sets the value of the incidenceMatrixGT property.

  Parameters:
    `value` - allowed object is `IncidenceMatrixGTSource`

### isSetIncidenceMatrixGT

    public boolean isSetIncidenceMatrixGT()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.